Skip to main content

Update Product

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.ghl_update_product

Update an existing product

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-ghl-update-product-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_update_product",
"arguments": {
"productId": "productId_123",
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123",
"name": "name_example",
"productType": "DIGITAL",
"image": "image_example",
"availableInStore": false
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"productId": {
"type": "string"
},
"locationId": {
"type": "string"
},
"name": {
"type": "string"
},
"productType": {
"type": "string",
"enum": [
"DIGITAL",
"PHYSICAL",
"SERVICE",
"PHYSICAL/DIGITAL"
]
},
"image": {
"type": "string"
},
"availableInStore": {
"type": "boolean"
}
},
"required": [
"productId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-ghl-update-product-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_update_product",
"arguments": {
"productId": "productId_123",
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123",
"name": "name_example",
"productType": "DIGITAL",
"image": "image_example",
"availableInStore": false
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.ghl_update_product executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}